> ## Documentation Index
> Fetch the complete documentation index at: https://hevninc.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get wallet balances

> Get OMNI, NEAR, EVM and Swipelux wallet balances for authenticated user.



## OpenAPI

````yaml /openapi.json get /api/v1/balance
openapi: 3.1.0
info:
  title: HEVN API
  description: Backend API for HEVN mobile neobank
  version: 0.1.2
servers:
  - url: https://api.hevn.finance
    description: Production
security: []
paths:
  /api/v1/balance:
    get:
      tags:
        - Balance
      summary: Get wallet balances
      description: Get OMNI, NEAR, EVM and Swipelux wallet balances for authenticated user.
      operationId: get_balances_api_v1_balance_get
      parameters:
        - name: wallet_type
          in: query
          required: false
          schema:
            anyOf:
              - $ref: '#/components/schemas/WalletType'
              - type: 'null'
            title: Wallet Type
        - name: x-api-key
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Api-Key
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BalancesResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    WalletType:
      type: string
      enum:
        - omni
        - base-main
        - swipelux
        - mcp
        - base-aa-wallet
        - wirex
      title: WalletType
    BalancesResponse:
      properties:
        accounts:
          items:
            $ref: '#/components/schemas/AccountBalancesResponse'
          type: array
          title: Accounts
        evmAddress:
          anyOf:
            - type: string
            - type: 'null'
          title: Evmaddress
        privyAddress:
          anyOf:
            - type: string
            - type: 'null'
          title: Privyaddress
      type: object
      required:
        - accounts
      title: BalancesResponse
      description: Response with wallet balances.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    AccountBalancesResponse:
      properties:
        accountId:
          type: string
          title: Accountid
        chainId:
          type: string
          title: Chainid
        walletType:
          $ref: '#/components/schemas/WalletType'
        balanceUsd:
          type: number
          title: Balanceusd
        rawBalance:
          type: string
          title: Rawbalance
        balanceByToken:
          additionalProperties:
            type: string
          type: object
          title: Balancebytoken
        custodial:
          type: boolean
          title: Custodial
          default: false
      type: object
      required:
        - accountId
        - chainId
        - walletType
        - balanceUsd
        - rawBalance
        - balanceByToken
      title: AccountBalancesResponse
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer
      x-default: Bearer <token>

````